;-----------------------------------------------------------------------------------
; BareNumbersOS v.0.3 - GPL3 - Aug 2012
;
;-----------------------------------------------------------------------------------
;
; Italian ASCII KeyMap	(codepage 437)
;-----------------------------------------------------------------------------------


;====================================================;
; Normal Keymap.                                     ;
;====================================================; 
normal_keymap_IT:
db      0,  _esc,  '1', '2',  '3',     '4',     '5',   '6',   '7',   '8',     '9',   '0',     39,   141, _bspace, _tab ; 0-15
db    'q',   'w',  'e', 'r',  't',     'y',     'u',   'i',   'o',   'p',     138,   '+', _enter, _ctrl,     'a',  's' ; 16-31
db    'd',   'f',  'g', 'h',  'j',     'k',     'l',   149,   133,   '\', _lshift,   151,    'z',   'x',     'c',  'v' ; 32-47
db    'b',   'n',  'm', ',',  '.',     '-', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,     '<',  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127


;====================================================;
; Shift Keymap.                                      ;
;====================================================; 
shift_keymap_IT:
db      0,  _esc,  '!', '"',  156,     '$',     '%',   '&',   '/',   '(',     ')',   '=',    '?',   '^', _bspace, _tab ; 0-15
db    'Q',   'W',  'E', 'R',  'T',     'Y',     'U',   'I',   'O',   'P',     130,   '*', _enter, _ctrl,     'A',  'S' ; 16-31
db    'D',   'F',  'G', 'H',  'J',     'K',     'L',   135,   248,   '|', _lshift,    21,    'Z',   'X',     'C',  'V' ; 32-47
db    'B',   'N',  'M', ';',  ':',     '_', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,     '>',  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127


;====================================================;
; Caplock Keymap.                                    ;
;====================================================; 
caplock_keymap_IT:
db      0,  _esc,  '1', '2',  '3',     '4',     '5',   '6',   '7',   '8',     '9',   '0',     39,   141, _bspace, _tab ; 0-15
db    'Q',   'W',  'E', 'R',  'T',     'Y',     'U',   'I',   'O',   'P',     138,   '+', _enter, _ctrl,     'A',  'S' ; 16-31
db    'D',   'F',  'G', 'H',  'J',     'K',     'L',   149,   133,   '\', _lshift,   151,    'Z',   'X',     'C',  'V' ; 32-47
db    'B',   'N',  'M', ',',  '.',     '-', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,     '<',  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127


;====================================================;
; Alt Keymap.                                        ;
;====================================================; 
alt_keymap_IT:
db	0,   0,   0,   0,   0,   0,   0,    0,   0, '{', '}',   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0, '[', ']',   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,  '@', '#',   0,   0, '~',   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0


;====================================================;
; Ctrl Keymap.                                       ;
;====================================================; 
ctrl_keymap_IT:
db	0,   0,  127,  127, 127, 127, 127, 127, 127, 127, 127, 127,  0,  0,  127, 127
db	17,  23,  5,   18,  20,  25,  21,  9,   15,  16,  0,   0,  127,  0,   1,   19
db	4,   6,   7,   8,   10,  11,  12,  0,   0,   0,   0,   0,   26,  24,  3,   22
db	2,   14,  13,  0,   0,   0,   0,   0,   0,   0,   0,  127, 127, 127, 127, 127
db	127, 127, 127, 127, 127, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,  127, 127,  0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0




